! function (windowz, n) {
    n(windowz, !0)
}(window, function (windowz, open) {
    function call(apiName, params, callBack) {
        windowz.zfJSBridge ? windowz.zfJSBridge.call(apiName, checkParams(params), function (ret) {
            callBack._complete && callBack._complete(ret) || delete callBack._complete

            var errCode = ret && ret['errCode']
            switch (errCode) {
                case 0:
                    callBack.success && callBack.success(ret)
                    break
                case 1:
                    callBack.cancel && callBack.cancel(ret)
                    break
                default:
                    callBack.fail && callBack.fail(ret)
                    break
            }
            callBack.complete && callBack.complete(ret)
        }) : defCall(apiName, callBack)
    }

    function checkParams(params) {
        return params || {}
    }

    function defCall(apiName, callBack) {
        callBack.complete && callBack.complete()
        console.log("zfJSBridge not found ," + apiName)
    }

    function on(eventName, callBack) {
        windowz.zfJSBridge ? windowz.zfJSBridge.on(eventName, function (ret) {
            callBack(ret)
        }) : defOn(eventName, callBack)
    }

    function defOn(eventName, callBack) {
        callBack.complete && callBack.complete()
        console.log("zfJSBridge not found ," + eventName)
    }

    var api = {
        setTitle: function (e) {
            call("setTitle", {
                title: e.title || ""
            }, e)
        }, closeWindow: function (e) {
            call("closeWindow", {
            }, e)
        }, putLocalStorageKV: function (e) {
            call("putLocalStorageKV", {
                key: e.key || "",
                value: e.value || ""
            }, e)
        }, getLocalStorageKV: function (e) {
            call("getLocalStorageKV", {
                key: e.key || ""
            }, e)
        }, gotoAliPay: function (e) {
            call("gotoAliPay", {
                parm: e.parm || ""
            }, e)
        },gotoHfAliPay: function (e) {
            call("gotoHfAliPay", {
                parm: e.parm || ""
            }, e)
        },gotoHfWxPay: function (e) {
            call("gotoHfWxPay", {
                parm: e.parm || ""
            }, e)
        },getAppToken: function (e) {
            call("getAppToken", {
            }, e)
        },

    }
    return open && (windowz.ytoH5Api = api), api
})